# -*- coding: utf-8 -*-
# Generated by Django 1.10.7 on 2017-06-09 05:44
from __future__ import unicode_literals

import blog.models
from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import wagtail.core.blocks
import wagtail.core.fields
import wagtail.embeds.blocks
import wagtail.images.blocks


class Migration(migrations.Migration):

    dependencies = [
        ('blog', '0005_auto_20151019_1121'),
    ]

    operations = [
        migrations.AddField(
            model_name='blogpage',
            name='intro',
            field=models.TextField(max_length=600, null=True),
        ),
        migrations.AlterField(
            model_name='blogpage',
            name='author',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='author_pages', to=settings.AUTH_USER_MODEL, verbose_name='Author'),
        ),
        migrations.AlterField(
            model_name='blogpage',
            name='body',
            field=wagtail.core.fields.StreamField([(b'h2', wagtail.core.blocks.CharBlock(icon=b'title')), (b'h3', wagtail.core.blocks.CharBlock(icon=b'title')), (b'paragraph', wagtail.core.blocks.RichTextBlock(icon=b'pilcrow')), (b'image', wagtail.core.blocks.StructBlock([(b'image', wagtail.images.blocks.ImageChooserBlock()), (b'alignment', blog.models.ImageFormatBlock()), (b'caption', wagtail.core.blocks.RichTextBlock(required=False))], icon=b'image', label='Aligned image')), (b'video', wagtail.core.blocks.StructBlock([(b'video_link', wagtail.embeds.blocks.EmbedBlock())], icon=b'media', label='Embedded video')), (b'pullquote', wagtail.core.blocks.StructBlock([(b'quote', wagtail.core.blocks.TextBlock(label='Quote title')), (b'attribution', wagtail.core.blocks.CharBlock())], icon=b'openquote', label='Quote'))]),
        ),
        migrations.AlterField(
            model_name='blogpage',
            name='header_image',
            field=models.TextField(max_length=600, null=True),
        ),
    ]
